build:
  stage: build
  when: on_success
  only:
    - main
  tags:
    - compp-azure
  script:
    - docker build . -t "${DOCKER_USERNAME}/${SERVER_IMAGE_NAME}:latest" -f COMPP_API/Dockerfile
  
deploy:
  stage: deploy
  when: on_success
  only:
    - main
  tags:
    - compp-azure
  script:
    - docker-compose -p "compp-api" -f "./docker-compose.yml" up -d
